Bug 587420 - [abrt] crash in graphviz-2.20.3-5.fc12.1: Process /usr/bin/dot was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in graphviz-2.20.3-5.fc12.1: Process /usr/bin/dot was killed by ...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: graphviz
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Patrick Laughton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f3715c905d9e28f97e72d5d2309...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-29 20:48 UTC by Egon Kastelijn
Modified: 2010-12-03 15:17 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-03 15:17:17 UTC


Attachments (Terms of Use)
File: backtrace (19.50 KB, text/plain)
2010-04-29 20:48 UTC, Egon Kastelijn
no flags Details
The 'dot' file that causes the crash (1.39 KB, text/vnd.graphviz)
2010-04-29 20:51 UTC, Egon Kastelijn
no flags Details

Description Egon Kastelijn 2010-04-29 20:48:47 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/dot extracts/all_excl_network.dot -Tsvg -o extracts/all_excl_network.svg
comment: dot -Tsvg ff.dot -o ff.svg
component: graphviz
executable: /usr/bin/dot
global_uuid: f3715c905d9e28f97e72d5d2309b1edb7561fe96
kernel: 2.6.32.11-99.fc12.x86_64
package: graphviz-2.20.3-5.fc12.1
rating: 4
reason: Process /usr/bin/dot was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. yum install graphviz-2.20.3-5.fc12.1.x86_64
2. dot -Tsvg ff.dot -o ff.svg
3.

Comment 1 Egon Kastelijn 2010-04-29 20:48:50 UTC
Created attachment 410228 [details]
File: backtrace

Comment 2 Egon Kastelijn 2010-04-29 20:51:23 UTC
Created attachment 410230 [details]
The 'dot' file that causes the crash

Comment 3 Bug Zapper 2010-11-03 16:01:14 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Egon Kastelijn 2010-11-14 06:37:54 UTC
I retested this problem.
It does not occur anymore with graphviz-2.26.0-4.fc14.x86_64.

Thnx!

   Egon

Comment 5 Bug Zapper 2010-12-03 15:17:17 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.